Subject: Modified Aminos New Products — Including the KPV Nasal Spray You’ve Been Asking For
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Wed, 25 Mar 2026 13:43:26 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/modified-aminos-new-products-including

Modified Aminos just launched a full lineup of new products, and the one I was most excited about — and that a lot of you have been requesting — is the KPV nasal spray at 10mg per bottle.
I took the community feedback seriously. A lot of you wanted higher-concentration nasal sprays for research. Shout out to Flawless and Glow for paving the way on this — Modified Aminos has followed suit.
Here’s everything that just dropped:
5-Amino-1MQ Capsules — 50mg, 60 caps
Single: $129.99
Two-Pack: $249.99
Trio: $359.99
Link: https://modifiedaminos.shop/product/5-amino-1mq-caps/?ref=derek
AOD 9604 Spray — 5mg
Trio: $149.99
Link: https://modifiedaminos.shop/product/aod-9604-5mg-spray/?ref=derek
Bacteriostatic Water
Two-Pack: $17.99
Trio: $25.99
Link: https://modifiedaminos.shop/product/reconstitution-solution-30ml/?ref=derek
BPC-157 Spray — 30mg
Single: $139.99
Two-Pack: $269.99
Trio: $399.99
Link: https://modifiedaminos.shop/product/bpc-157-spray-30mg-per-bottle/?ref=derek
GHK-Cu Spray — 100mg
Single: $59.99
Two-Pack: $109.99
Trio: $149.99
Link: https://modifiedaminos.shop/product/ghk-cu-spray-100mg-per-bottle/?ref=derek
Glow Capsules — 1mg/250mcg/250mcg, 60 caps
Single: $99.99
Two-Pack: $189.99
Trio: $279.99
Link: https://modifiedaminos.shop/product/glow-caps/?ref=derek
KPV Spray — 10mg
Single: $63.99
Two-Pack: $119.99
Trio: $164.99
Link: https://modifiedaminos.shop/product/kpv-spray-10mg-per-bottle/?ref=derek
L-Carnitine Liquid — 600mg/mL, 20mL
Single: $59.99
Two-Pack: $109.99
Trio: $149.99
Link: https://modifiedaminos.shop/product/l-carnitine/?ref=derek
NAD+ Spray — 500mg
Single: $59.99
Link: https://modifiedaminos.shop/product/nad-spray-500mg-per-bottle/?ref=derek
NAD+ Spray — 1500mg (new size)
Single: $129.99
Two-Pack: $249.99
Trio: $399.99
Link: https://modifiedaminos.shop/product/nad-1500mg-per-bottle/?ref=derek
Selank Spray — 40mg (new size)
Single: $149.99
Two-Pack: $279.99
Trio: $369.99
Link: https://modifiedaminos.shop/product/selank-spray-40mg-per-bottle/?ref=derek
Semax Spray — 40mg (new size)
Single: $149.99
Two-Pack: $279.99
Trio: $369.99
Link: https://modifiedaminos.shop/product/semax-spray-40mg-per-bottle/?ref=derek
Semax/Selank Spray — 10mg/10mg (new size)
Single: $77.99
Two-Pack: $149.99
Trio: $219.99
Link: https://modifiedaminos.shop/product/semax-selank-spray-20/?ref=derek
TB-500 Spray — 30mg
Single: $138.99
Two-Pack: $269.99
Trio: $399.99
Link: https://modifiedaminos.shop/product/tb-500-spray/?ref=derek
Tesofensine Capsules
Two-Pack: $139.99
Link: https://modifiedaminos.shop/product/tesofensine-caps/?ref=derek
VIP Spray — 10mg
Single: $89.99
Two-Pack: $169.99
Trio: $239.99
Link: https://modifiedaminos.shop/product/vip-spray-10mg-per-bottle/?ref=derek
All of these are live now, and you can stack them with the current BOGO sale.
Modified Aminos — Buy One, Get One 50% Off Sale runs Monday, March 23rd through Monday, March 30th. Use code DEREK at checkout for an additional 10% off on top of the BOGO 50%.
Shop here: https://modifiedaminos.shop/?ref=derek
A note on the testing
Flawless was the first vendor I saw use Ethos Analytics, but it looks like more are starting to adopt them. What makes this lab notable for nasal sprays is that they can test for net content in the bottle — not just identity and purity, but actual measured dose.
The COA for the KPV spray shows 10.31mg in the bottle against a 10mg spec. That’s confirmed via HPLC with identity verified by retention time concordance against a certified reference standard (USP <621>). Bacterial endotoxins came back at less than 1.25 EU/mL against a spec of less than 5 EU/mL.
This is the level of testing I think every vendor selling pre-made nasal sprays should be doing. Knowing the stated dose and the actual measured dose are two very different things — it’s good to see vendors closing that gap.
All products are for research use only, not for human consumption.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNakE1TlRnMU1Td2lhV0YwSWpveE56YzBORFEyTWpFekxDSmxlSEFpT2pFNE1EVTVPREl5TVRNc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LkVZYUFjaXVYelFxOEY4S1pMYzVqVWxvVGpkMi1uMVkzWEtoZ0tMdWI0WFEiLCJwIjoxOTIwOTU4NTEsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc0NDQ2MjEzLCJleHAiOjIwOTAwMjIyMTMsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.frU_iYLMKWGNK_ijJEhnxQU4N5j18Ym66BjH3vvARSA?